      PROGRAM VLIST3
************************************************************************
* Sample program illustrating the use of an implied DO loop to read    *
* and display a list of velocities.  Identifiers used are:             *
*     LIMIT  : (parameter) limit on the number of velocities           *
*     VELOC  : array to store the list of velocities                   *
*     NUMVEL : number of values read into the array VELOC              *
*     I      : subscript                                               *
*                                                                      *
* Input:  NUMVEL and a list of NUMVEL velocities                       *
* Output: The list of velocities                                       *
************************************************************************

      INTEGER LIMIT, NUMVEL, I
      PARAMETER (LIMIT = 50)
      REAL VELOC(LIMIT)

* Read the list of velocities

      PRINT *, 'ENTER THE NUMBER OF VELOCITIES:'
      READ *, NUMVEL
      PRINT *, 'ENTER THE VELOCITY VALUES AS MANY PER LINE AS DESIRED:'
      READ *, (VELOC(I), I = 1, NUMVEL)

* Print the list of velocities

      PRINT 20, NUMVEL
 20       FORMAT(/1X, 'LIST OF', I3, ' VELOCITIES:' / 1X, 21('='))
      PRINT 30, (VELOC(I), I = 1, NUMVEL)
 30       FORMAT(1X, 5F10.1)

      END
